# class Gem::NoAliasYAMLTree

### Public Class Methods

create ()
Source

    # File lib/rubygems/psych_tree.rb, line 6
    def self.create
      new({})
    end

### Public Instance Methods

register (target, obj)
Source

    # File lib/rubygems/psych_tree.rb, line 22
    def register(target, obj)
    end

Noop this out so there are no anchors

visit_Hash (o)
Source

    # File lib/rubygems/psych_tree.rb, line 17
    def visit_Hash(o)
      super(o.compact)
    end

Calls superclass method `Psych::Visitors::YAMLTree#visit_Hash`
visit_String (str)
Source

    # File lib/rubygems/psych_tree.rb, line 10
    def visit_String(str)
      return super unless str == "=" # or whatever you want

      quote = Psych::Nodes::Scalar::SINGLE_QUOTED
      @emitter.scalar str, nil, nil, false, true, quote
    end

Calls superclass method `Psych::Visitors::YAMLTree#visit_String`

### Private Instance Methods

format_time (time)
Source

    # File lib/rubygems/psych_tree.rb, line 26
    def format_time(time)
      if time.utc?
        time.strftime("%Y-%m-%d %H:%M:%S.%9N Z")
      else
        time.strftime("%Y-%m-%d %H:%M:%S.%9N %:z")
      end
    end

This is ported over from the yaml_tree in 1.9.3